
TYPO3.TYPO3CR - Bug # 24

Status: Closed Priority: Should have
Author: Robert Lemke Category:
Created: 2007-02-21 Assigned To: Sebastian Kurfuerst
Updated: 2011-05-05 Due date:
Subject: Fix documentation in T3P_T3Lib_HashSet
Description

A bit of nitpicking here:

Some of the phpDoc comments are lacking spaces:

    /**
    * @var array Holds stored objects
    */

should be

    /**
     * @var array Holds stored objects
     */

    -  For classes please don't add an author name to the class documentation but do that for every single method. (See also 
http://5-0.dev.typo3.org/guide/bk01pt01ch02.html#id2543166)

 *Also check that all methods have parameters and return values documented (if the method doesn't return anything, write
@return void). 
    -  Always add a description for parameter documentation.
    -  Only use one line for parameter or return value documentation, no matter how long it gets
    -  Please use protected instead of private unless you really want to disallow subclasses to access the properties
    -  Make sure not to forget the public / protected / private keyword for functions
    -  Don't start the file with an empty line
    -  Make sure that the Id is expanded by your SVN client (see http://5-0.dev.typo3.org/guide/bk01pt01ch02.html)
    -  A constructor must always be called "+construct"

History
#1 - 2007-02-22 15:26 - Sebastian Kurfuerst

I'll take care of that.

#2 - 2007-02-22 15:55 - Sebastian Kurfuerst
- Status changed from New to Closed
- Sprint set to fixed

#3 - 2008-07-01 17:25 - Robert Lemke
- Target version deleted (1)
